///////////////////////////////////////////////////////////////////////////////
//
// Histogramming_njets
// --------------
//
// Authors: Reinhard Schwienhorst
//         
//
// Date: April 28, 2004
//
// Modified:
// 
//
///////////////////////////////////////////////////////////////////////////////

#include "single_top_analysis/Histogramming_njets.hpp"
#include<iostream>

using namespace std;


//----------------
// constructor
//----------------
Histogramming_njets::Histogramming_njets(Particles *obj)
{
  SetParticleObj(obj);
}

//----------------
// destructor
//----------------
Histogramming_njets::~Histogramming_njets()
{
  
}

//----------------
// Book
//----------------
void Histogramming_njets::BookHistos(){
  
  _hNJets = DeclareTH1F("njets","Number of Jets",10,0.,0.);
  //cout<<"end of Histogramming_njets::BookHistos"<<endl;
}

//-------------
// Apply
//-------------
bool Histogramming_njets::Apply()
{
  //cout<<"Begin of Histogramming_njets::Apply()"<<endl;
  Particles *obj=GetParticleObj();
  EventTree * evTree=obj->GetEventTree();
  
  // and fill the histograms
  _hNJets->Fill(evTree->PJet_N);



  //cout<<"End of Histogramming_njets::Apply()"<<endl;
  return true;  
  
}












